## org.eclipse.m2m.qvt.oml
Interface ExecutionDiagnostic

    public interface ExecutionDiagnostic

A diagnostic interface representing the result status of a transformation execution.

Since:
  2.0

Field Summary
`static int` `EXCEPTION_THROWN`
`static int` `FATAL_ASSERTION` The execution was terminated by failed QVT assertion.
`static int` `MODEL_PARAMETER_MISMATCH`
`static ExecutionDiagnostic` `OK_INSTANCE`
`static java.lang.String` `SOURCE`
`static int` `TRANSFORMATION_LOAD_FAILED`
`static int` `USER_INTERRUPTED` The execution received user interruption request
`static int` `VALIDATION`

Method Summary
`java.util.List<ExecutionStackTraceElement>` `getStackTrace()` Gets the stack trace that resulted from interrupted execution either by user termination request or exception thrown
`void` `printStackTrace(java.io.PrintWriter writer)` Prints the execution stack-trace (if available) of this diagnostic to the specified print writer.

Field Detail

### FATAL_ASSERTION

    static final int FATAL_ASSERTION

  The execution was terminated by failed QVT assertion.

  See Also:
    Constant Field Values

### USER_INTERRUPTED

    static final int USER_INTERRUPTED

  The execution received user interruption request

  See Also:
    Constant Field Values

### EXCEPTION_THROWN

    static final int EXCEPTION_THROWN

See Also:
  Constant Field Values

### VALIDATION

    static final int VALIDATION

See Also:
  Constant Field Values

### MODEL_PARAMETER_MISMATCH

    static final int MODEL_PARAMETER_MISMATCH

See Also:
  Constant Field Values

### TRANSFORMATION_LOAD_FAILED

    static final int TRANSFORMATION_LOAD_FAILED

See Also:
  Constant Field Values

### SOURCE

    static final java.lang.String SOURCE

See Also:
  Constant Field Values

### OK_INSTANCE

    static final ExecutionDiagnostic OK_INSTANCE

Method Detail

### getStackTrace

    java.util.List<ExecutionStackTraceElement> getStackTrace()

  Gets the stack trace that resulted from interrupted execution either by user termination request or exception thrown

  Returns:
    list of trace elements or an empty list

### printStackTrace

    void printStackTrace(java.io.PrintWriter writer)

  Prints the execution stack-trace (if available) of this diagnostic to the specified print writer.

  Parameters:
    `writer` - `PrintWriter` to use for output

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.